Description

Supportanfrage

The only entry in ADTF2.14.2's Changelog is:

  adapt license mechanism for end of maintenance

 Could you please explain that in more detail.

What happens at the end of maintenance?

Is it planned to have non-exipiring licenses? At least for adtf-runtime?

And to be up-to-date, when is the end of maintenance?

Lösung

1) We just changed the license certificate by now to be able for the concept of cloud licenses and license files after maintainance.

How it works (never ending, x-years) is not specified yet but it will get a solution for projects which must run in ADTF 2.x

2) This is only possible for ADTF 2.14.2

3) Support ends then, so this means license yes, support no (from ADTF customer forum costs)

4) This won't effect anything of your work right now, only for upcoming steps

5) Please also have a look at https://support.digitalwerk.net/news/38

Additional

Recommended:

if fixed to ADTF 2.x, try to upgrade to ADTF 2.14.2 (no recompile necessary)

Benefit:

current version, bugfixes

possibility of easier migration and dual-run ADTF 2.x/ADTF3.x with ADTF 3 Support Toolbox

cloud licensing concept will be exist

History

#1 - 2018-05-22 16:41 - hidden

And what does that mean for older ADTF2 Versions (e.g adtf2.11)?

#2 - 2018-05-22 18:06 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::License

Hi Marc,

can we switch to German ?

Anyway, this means:

1) We just changed the license certificate by now to able for the concept of cloud licenses and license files after maintainance. How it works (never

ending, x-years) is not specified yet but it will get a solution for projects which must run in ADTF 2.x
2) This is only possible for ADTF 2.14.2

3) Support ends then, so this means license yes, support no (from ADTF customer forum costs)

4) This won't effect anything of your work right now, only for upcoming steps

5) Please also have a look at https://support.digitalwerk.net/news/38

#3 - 2018-05-22 18:51 - hidden

Deutsch geht auch.

Wir haben einige "fertige" Systeme. Die wird auch niemand mehr auf ADTF3 aktualisieren.

Wäre dann doof, wenn die nur wegen der fehlenden Lizenz nicht mehr laufen würden. Aber bis 2021 ist ja noch lang ;)

Technisch könntet ihr im Dez 2020 aber auch Lizenzen rausgeben, die nicht nur ein Jahr laufen, sondern z.b. 10 Jahre!?

Das würde dann auch ADTF2.9 nutzen!?

Danke. Ticket kann geschlossen werden.

#4 - 2018-05-23 08:16 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

Hallo Marc,

Wir haben einige "fertige" Systeme. Die wird auch niemand mehr auf ADTF3 aktualisieren.

Wäre dann doof, wenn die nur wegen der fehlenden Lizenz nicht mehr laufen würden. Aber bis 2021 ist ja noch lang ;)

 Das ist uns bewusst. Mein Ratschlag wäre dann aber trotzdem die aktuellste ADTF 2.14.x zu verwenden, das funktioniert ja 1:1 ohne

Neukompilieren, wir sind ja abwärts- und binärkompatibel.

In Kombination mit der ADTF 3 Support TB könnten ihr dann sogar eure Daten von/zu ADTF 3.x schicken und dort neue Komponenten umsetzen,

dann wärt quasi (fast) schon umgestiegen und habt Kontakt mit ADTF 3.x.

Aber das nur nebenbei, wie gesagt, dass laufende Systeme auf ADTF 2.x laufen ist uns bewusst und hierfür soll es auch eine Lösung geben,

Wartung/Support laufen halt in ein paar Jahren aus...

Technisch könntet ihr im Dez 2020 aber auch Lizenzen rausgeben, die nicht nur ein Jahr laufen, sondern z.b. 10 Jahre!?

Das würde dann auch ADTF2.9 nutzen!?

Natürlich, das ist möglich, das würde auch jetzt schon gehen aber das vermeiden wir immer weil aus Erfahrung die meisten Nutzer ständig wechseln

und wir eine Übersicht für die Abrechnung brauchen (bzw. AEV/VW).

Meine Intention wäre es eher, wenn schon ADTF 2.x verwendet werden muss, die Möglichkeit der 2.14.x nahezulegen. Gründe:

Aktuellster Softwarestand, "weniger" Bugs

Kontakt/Migration/Mischbetrieb mit ADTF 3.x via ADTF 3 Support TB möglich

Möglichkeit ab 2.14.2 für ein Cloud-Licensing Konzept

Das nur als Ausblick.

Thema geklärt, Ticket kann geschlossen werden.

#5 - 2018-05-23 08:16 - hidden

- Project changed from 20 to Public Support

- Private changed from Yes to No

#6 - 2018-05-23 08:16 - hidden

- Subject changed from ADTF2.14.2: Meaning of Changes to ADTF 2.14.2: Meaning of Changes

#7 - 2018-05-23 08:21 - hidden

- Affected Products ADTF 2.14.2 added

- Affected Products deleted (ADTF 2.14.1)

#8 - 2018-05-23 13:18 - hidden

- Status changed from To Be Closed to Closed
